Markdent::Role::DebugPrinter(3pm)

NAME
Markdent::Role::DebugPrinter - A role for classes which output debugging information

VERSION
version 0.33

DESCRIPTION
This role implements behavior shared by all classes which output debugging information.

ATTRIBUTES
This roles provides the following attributes:

  debug
This is a read-write boolean attribute.

It defaults to the value of $ENV{MARKDENT_DEBUG}, if set, or 0.

METHODS
This roles provides the following methods:

  $object->_debug_parse_result( $text, $type, $extra )
This method takes a text string, a parse result string (like "preformatted" or "code_start"), and an optional array reference of extra key/value pairs.

All of this will be concatenated together in a pretty(-ish) way and passed to "$object->_print_debug()".

  $object->_print_debug($text)
This warns out the provided text along with a delimiter above the message.

BUGS
See Markdent for bug reporting details.

Bugs may be submitted at <https://github.com/houseabsolute/Markdent/issues>.

I am also usually active on IRC as 'autarch' on "irc://irc.perl.org".

SOURCE
The source code repository for Markdent can be found at <https://github.com/houseabsolute/Markdent>.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2019 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

The full text of the license can be found in the LICENSE file included with this distribution.